

After feeling a really sharp pain in my head, I suddenly found that I was unable to control my arms and legs with my thoughts. The sounds and sights started getting fuzzy and I was unable to speak. The pain got more intense. I felt myself crumbling to the ground while everything faded to black and went silent. I knew I was dying and my last thoughts were of my loved ones. The black was as a camera shutter closing.

I felt as though I was being transported, but I couldn't see or hear anything. The shutter of the imaginary camera lens opened again. Now everything was different. I was different and felt wonderful. I didn't have any pain any more. I was no longer worried about my loved ones, as I felt as though I was still with them. But I was also with a LOT of people. I was with everyone and everything. I looked around and saw that I was in a park with such beauty I had never seen before. The grass was manicured to perfection. There was a large tree, maybe an oak tree, with a perfect shape. The sky was beautiful blue, but it was somehow alive. Everything was perfect, without any decay or imperfection. I was standing on a pathway that curved in front of me. It was so brilliant white and yet didn't hurt my eyes. I knew this must be Heaven and I was feeling God's love and acceptance.

Then my father appeared in front of me. He had passed about 10 years before. Here, he looked so perfect, healthy, and happy. I was so glad to see him and wanted to jump into his arms. I knew that if I went around that corner on the pathway, I could stay with my daddy forever. But my dad stopped me and said without physically speaking a word, 'You need to go back. It's not your time yet.' For a very brief moment, I started to protest in my mind, but I stopped myself. If my dad was telling me this, it must be the truth and what's best and necessary for me. My dad would never lead me astray. I was sad, but obeyed him. I understood that I had to leave this wonderful place. Before I left, I saw lines of people. They were gay and straight, different colors, different religions, some were handicapped, some very young, and some who old. These people were all holding hands, showing love and forgiveness towards one another.

Everything went back to black. I felt a terrible, heavy feeling and tremendous pain again. I knew I was back in my body. But I was not the same person I had been. I had changed.

Since I have recovered from the surgery and the coma, I have had some experiences with communication from the other side. Now that I know that the spirits are there, I have had communication with my father. I have seen some spirits come through who want to communicate to others through me. Most of the time, they just want to comfort the one who has lost a loved one. They want to let them know they are in a great place.

